module Twist where

import qualified Graphics.Rendering.OpenGL as GL
import Foreign.C.Types( CFloat )
import CubeLayout

twist :: Int -> IO ()
twist 0 = return ()
twist n = do
	cubeLayout
	GL.translate $ GL.Vector3 0.0 2.5 (0.0::CFloat)
	GL.rotate 20.0 $ GL.Vector3 0.0 1.0 (0.0::CFloat)
	GL.rotate 10.0 $ GL.Vector3 0.0 0.0 (1.0::CFloat)
	twist (n-1)